import { reactive } from 'vue'

const model = {
  selected: null // 选中摄像机
}

const params = reactive({
  ...model
})

const pmsClean = () => {
  Object.assign(params, { ...model })
}

// set
const setCamera = (id) => {
  params.selected = id
}

// get
const getCamera = () => params.selected

export {
  pmsClean,
  setCamera,
  getCamera
}